Loading...
Searching...
No Matches
_PixelIterator Struct Reference

## Data Fields

size_t | id
char | name [MagickPathExtent]
ExceptionInfo * | exception
CacheView * | view
RectangleInfo | region
MagickBooleanType | active
ssize_t | y
PixelWand ** | pixel_wands
MagickBooleanType | debug
size_t | signature

## Detailed Description

Definition at line 64 of file pixel-iterator.c.

## Field Documentation

## active

MagickBooleanType _PixelIterator::active

Definition at line 82 of file pixel-iterator.c.

## debug

MagickBooleanType _PixelIterator::debug

Definition at line 91 of file pixel-iterator.c.

## exception

ExceptionInfo* _PixelIterator::exception

Definition at line 73 of file pixel-iterator.c.

## id

size_t _PixelIterator::id

Definition at line 67 of file pixel-iterator.c.

## name

char _PixelIterator::name[MagickPathExtent]

Definition at line 70 of file pixel-iterator.c.

## pixel_wands

PixelWand** _PixelIterator::pixel_wands

Definition at line 88 of file pixel-iterator.c.

## region

RectangleInfo _PixelIterator::region

Definition at line 79 of file pixel-iterator.c.

## signature

size_t _PixelIterator::signature

Definition at line 94 of file pixel-iterator.c.

## view

CacheView* _PixelIterator::view

Definition at line 76 of file pixel-iterator.c.

## y

ssize_t _PixelIterator::y

Definition at line 85 of file pixel-iterator.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickWand/pixel-iterator.c